From 633b02897fc8a279fb4721b86fd9157395b09431 Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Wed, 14 Apr 2021 14:20:12 +0000
Subject: [PATCH v1] Fix extra_lateral_rels typo

---
 src/backend/optimizer/path/joinpath.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/optimizer/path/joinpath.c b/src/backend/optimizer/path/joinpath.c
index e9b6968b1d..d9fc3621ba 100644
--- a/src/backend/optimizer/path/joinpath.c
+++ b/src/backend/optimizer/path/joinpath.c
@@ -671,7 +671,7 @@ try_partial_nestloop_path(PlannerInfo *root,
 	 * If the inner path is parameterized, the parameterization must be fully
 	 * satisfied by the proposed outer path.  Parameterized partial paths are
 	 * not supported.  The caller should already have verified that no
-	 * extra_lateral_rels are required here.
+	 * extra lateral_relids are required here.
 	 */
 	Assert(bms_is_empty(joinrel->lateral_relids));
 	if (inner_path->param_info != NULL)
@@ -985,7 +985,7 @@ try_partial_hashjoin_path(PlannerInfo *root,
 	 * If the inner path is parameterized, the parameterization must be fully
 	 * satisfied by the proposed outer path.  Parameterized partial paths are
 	 * not supported.  The caller should already have verified that no
-	 * extra_lateral_rels are required here.
+	 * extra lateral_relids are required here.
 	 */
 	Assert(bms_is_empty(joinrel->lateral_relids));
 	if (inner_path->param_info != NULL)
@@ -1714,7 +1714,7 @@ match_unsorted_outer(PlannerInfo *root,
 	 * partial path and the joinrel is parallel-safe.  However, we can't
 	 * handle JOIN_UNIQUE_OUTER, because the outer path will be partial, and
 	 * therefore we won't be able to properly guarantee uniqueness.  Nor can
-	 * we handle extra_lateral_rels, since partial paths must not be
+	 * we handle extra lateral_relids, since partial paths must not be
 	 * parameterized. Similarly, we can't handle JOIN_FULL and JOIN_RIGHT,
 	 * because they can produce false null extended rows.
 	 */
-- 
2.20.1

